SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Security)  >   GnuTLS Vendors:   gnutls.org
(Red Hat Issues Fix) GnuTLS libtasn1 DER Decoding Bugs Let Remote Users Deny Service
SecurityTracker Alert ID:  1015613
SecurityTracker URL:  http://securitytracker.com/id/1015613
CVE Reference:   CVE-2006-0645   (Links to External Site)
Date:  Feb 11 2006
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 1.2.10
Description:   A vulnerability was reported in gnuTLS. A remote user can cause denial of service conditions.

The gnuTLS libtasn1 component does not properly decode DER encoded data. A remote user can send a specially crafted X.509 certificate that, when parsed by an application using gnuTLS, may trigger an out-of-bounds memory access error. This may cause the application to crash.

The report indicates that it is not certain if this vulnerability will allow arbitrary code execution.

Evgeny Legerov reported this vulnerability.

Impact:   A remote user can cause an affected application to crash.
Solution:   Red Hat has released a fix.

Red Hat Enterprise Linux AS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb gnutls-devel-1.0.20-3.2.2.i386.rpm

ia64:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
2448a7e4fd671cced661887bcd4173aa gnutls-1.0.20-3.2.2.ia64.rpm
c8bfadde8d6b1697e99fcf6e900f3053 gnutls-devel-1.0.20-3.2.2.ia64.rpm

ppc:
f48a6f32beed6eca2951a09049d4c829 gnutls-1.0.20-3.2.2.ppc.rpm
573c67f099524b55dc3e804881c6e16f gnutls-1.0.20-3.2.2.ppc64.rpm
4dc01d3e6597d5a0cb40fd882f3eb6ec gnutls-devel-1.0.20-3.2.2.ppc.rpm

s390:
2373e3a694eb53384a94a5502cf3dc37 gnutls-1.0.20-3.2.2.s390.rpm
1ae014903f30f6c23ad89a52a050db92 gnutls-devel-1.0.20-3.2.2.s390.rpm

s390x:
2373e3a694eb53384a94a5502cf3dc37 gnutls-1.0.20-3.2.2.s390.rpm
c6966e61cc3896354493d875d3c950b9 gnutls-1.0.20-3.2.2.s390x.rpm
521d0c697d9f1f35f2564475a20ca809 gnutls-devel-1.0.20-3.2.2.s390x.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d gnutls-devel-1.0.20-3.2.2.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb gnutls-devel-1.0.20-3.2.2.i386.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d gnutls-devel-1.0.20-3.2.2.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb gnutls-devel-1.0.20-3.2.2.i386.rpm

ia64:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
2448a7e4fd671cced661887bcd4173aa gnutls-1.0.20-3.2.2.ia64.rpm
c8bfadde8d6b1697e99fcf6e900f3053 gnutls-devel-1.0.20-3.2.2.ia64.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d gnutls-devel-1.0.20-3.2.2.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb gnutls-devel-1.0.20-3.2.2.i386.rpm

ia64:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
2448a7e4fd671cced661887bcd4173aa gnutls-1.0.20-3.2.2.ia64.rpm
c8bfadde8d6b1697e99fcf6e900f3053 gnutls-devel-1.0.20-3.2.2.ia64.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18 gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d gnutls-devel-1.0.20-3.2.2.x86_64.rpm

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2006-0207.html

Vendor URL:  www.gnu.org/software/gnutls/security.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  4

Message History:   This archive entry is a follow-up to the message listed below.
Feb 11 2006 GnuTLS libtasn1 DER Decoding Bugs Let Remote Users Deny Service



 Source Message Contents

Subject:  [RHSA-2006:0207-01] Important: gnutls security update


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ---------------------------------------------------------------------
                   Red Hat Security Advisory

Synopsis:          Important: gnutls security update
Advisory ID:       RHSA-2006:0207-01
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2006-0207.html
Issue date:        2006-02-10
Updated on:        2006-02-10
Product:           Red Hat Enterprise Linux
CVE Names:         CVE-2006-0645
- ---------------------------------------------------------------------

1. Summary:

Updated gnutls packages that fix a security issue are now available for Red
Hat Enterprise Linux 4.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Problem description:

The GNU TLS Library provides support for cryptographic algorithms and
protocols such as TLS. GNU TLS includes Libtasn1, a library developed for
ASN.1 structures management that includes DER encoding and decoding.

Several flaws were found in the way libtasn1 decodes DER.  An attacker
could create a carefully crafted invalid X.509 certificate in such a way
that could trigger this flaw if parsed by an application that uses GNU TLS.
This could lead to a denial of service (application crash).  It is not
certain if this issue could be escalated to allow arbitrary code execution. 
The Common Vulnerabilities and Exposures project assigned the name
CVE-2006-0645 to this issue.

In Red Hat Enterprise Linux 4, the GNU TLS library is only used by the
Evolution client when connecting to an Exchange server or when publishing
calendar information to a WebDAV server.

Users are advised to upgrade to these updated packages, which contain a
backported patch from the GNU TLS maintainers to correct this issue.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via Red Hat Network.  To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

5. Bug IDs fixed (http://bugzilla.redhat.com/):

180903 - CVE-2006-0645 GnuTLS x509 DER DoS


6. RPMs required:

Red Hat Enterprise Linux AS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe  gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb  gnutls-devel-1.0.20-3.2.2.i386.rpm

ia64:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
2448a7e4fd671cced661887bcd4173aa  gnutls-1.0.20-3.2.2.ia64.rpm
c8bfadde8d6b1697e99fcf6e900f3053  gnutls-devel-1.0.20-3.2.2.ia64.rpm

ppc:
f48a6f32beed6eca2951a09049d4c829  gnutls-1.0.20-3.2.2.ppc.rpm
573c67f099524b55dc3e804881c6e16f  gnutls-1.0.20-3.2.2.ppc64.rpm
4dc01d3e6597d5a0cb40fd882f3eb6ec  gnutls-devel-1.0.20-3.2.2.ppc.rpm

s390:
2373e3a694eb53384a94a5502cf3dc37  gnutls-1.0.20-3.2.2.s390.rpm
1ae014903f30f6c23ad89a52a050db92  gnutls-devel-1.0.20-3.2.2.s390.rpm

s390x:
2373e3a694eb53384a94a5502cf3dc37  gnutls-1.0.20-3.2.2.s390.rpm
c6966e61cc3896354493d875d3c950b9  gnutls-1.0.20-3.2.2.s390x.rpm
521d0c697d9f1f35f2564475a20ca809  gnutls-devel-1.0.20-3.2.2.s390x.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db  gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d  gnutls-devel-1.0.20-3.2.2.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe  gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb  gnutls-devel-1.0.20-3.2.2.i386.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db  gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d  gnutls-devel-1.0.20-3.2.2.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe  gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb  gnutls-devel-1.0.20-3.2.2.i386.rpm

ia64:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
2448a7e4fd671cced661887bcd4173aa  gnutls-1.0.20-3.2.2.ia64.rpm
c8bfadde8d6b1697e99fcf6e900f3053  gnutls-devel-1.0.20-3.2.2.ia64.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db  gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d  gnutls-devel-1.0.20-3.2.2.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/gnutls-1.0.20-3.2.2.src.rpm
e3d0e0b8feeb7ddd63d58add0af060fe  gnutls-1.0.20-3.2.2.src.rpm

i386:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
bbd51e80f02d982d739a7e2b68a11bfb  gnutls-devel-1.0.20-3.2.2.i386.rpm

ia64:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
2448a7e4fd671cced661887bcd4173aa  gnutls-1.0.20-3.2.2.ia64.rpm
c8bfadde8d6b1697e99fcf6e900f3053  gnutls-devel-1.0.20-3.2.2.ia64.rpm

x86_64:
570aa2e7bcf5dc43955fd0325e9b4a18  gnutls-1.0.20-3.2.2.i386.rpm
1aa362a034c36522e39b124fdc7230db  gnutls-1.0.20-3.2.2.x86_64.rpm
f5a8555652f54655f8eb42149f3b1a1d  gnutls-devel-1.0.20-3.2.2.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0645

8. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2006 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFD7QmmXlSAg2UNWIIRAim3AJ9ogz9qPJOjz8mMj6CzM7yWMdjf+QCfZq64
xWp8np9Nwxk6s/ZbQO7KD8M=
=QT3D
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC